Bug 675628 - Review Request: python26-jinja2 - General purpose template engine
Summary: Review Request: python26-jinja2 - General purpose template engine
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 668591
Blocks: 662743
TreeView+ depends on / blocked
 
Reported: 2011-02-07 00:26 UTC by Thomas Moschny
Modified: 2011-03-03 00:54 UTC (History)
3 users (show)

Fixed In Version: python26-jinja2-2.5.5-4.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-03 00:54:12 UTC
Type: ---
steve.traylen: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Thomas Moschny 2011-02-07 00:26:44 UTC
Spec URL: http://thm.fedorapeople.org/python26-jinja2/python26-jinja2.spec
SRPM URL: http://thm.fedorapeople.org/python26-jinja2/python26-jinja2-2.5.5-4.fc14.src.rpm

Description:
Jinja2 is a template engine written in pure Python.  It provides a
Django inspired non-XML syntax but supports inline expressions and an
optional sandboxed environment.

If you have any exposure to other text-based template languages, such
as Smarty or Django, you should feel right at home with Jinja2. It's
both designer and developer friendly by sticking to Python's
principles and adding functionality useful for templating
environments.

Note:
This is an EPEL5 only package for python26.

Comment 1 Steve Traylen 2011-02-14 18:58:11 UTC
Review of EPEL5 only python-jinga, bug #675628

Builds in an EPEL5 mock okay.

- Package meets naming and packaging guidelines

$ rpmlint /var/lib/mock/epel-5-x86_64/result/*.rpm
python26-jinja2.noarch: W: spelling-error %description -l en_US sandboxed -> sandboxes, sand boxed, sand-boxed
python26-jinja2.noarch: W: spelling-error %description -l en_US templating -> contemplating, template's, template
python26-jinja2.src: W: spelling-error %description -l en_US sandboxed -> sandboxes, sand boxed, sand-boxed
python26-jinja2.src: W: spelling-error %description -l en_US templating -> contemplating, template's, template
python26-jinja2.src:2: E: hardcoded-library-path in /usr/lib/python2.6/site-packages
2 packages and 0 specfiles checked; 1 errors, 4 warnings.

The last is fine for python26 package where it can't easily be determined dynamically
and spec file is very hard coded anyway to python2.6.

sandboxed and templating are both verbisms so okay.


- Spec file matches base package name.
It does.
- Spec has consistant macro usage.
Yes.
- Meets Packaging Guidelines.
Yes.
- License
BSD
- License field in spec matches
3 clause BSD, all files contain ":license: BSD.".
- License file included in package
LICENSE file included.
- Spec in American English
It is.
- Spec is legible.
It Is.
- Sources match upstream md5sum:
$ md5sum Jinja2-2.5.5.tar.gz ../SOURCES/Jinja2-2.5.5.tar.gz 
83b20c1eeb31f49d8e6392efae91b7d5  Jinja2-2.5.5.tar.gz
83b20c1eeb31f49d8e6392efae91b7d5  ../SOURCES/Jinja2-2.5.5.tar.gz

- Package needs ExcludeArch
It does.
- BuildRequires correct
They are.
- Spec handles locales/find_lang
None present.
- Package is relocatable and has a reason to be.
Not relocatable.
- Package has %defattr and permissions on files is good.
They are.
- Package has a correct %clean section.
Yep.
- Package has correct buildroot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
- Doc subpackage needed/used.
Not needed.
- Packages %doc files don't affect runtime.
They don't/


- Package compiles and builds on at least one arch.
Mock build
- Package has no duplicate files in %files.
It does not.
- Package doesn't own any directories other packages own.
Nope.
- Package owns all the directories it creates.
It does.

- final provides and requires are sane:


$ for i in *rpm; do echo $i; rpm -qp --provides $i; echo =; rpm -qp --requires $i; echo; done
python26-jinja2-2.5.5-4.el5.noarch.rpm
python26-jinja2 = 2.5.5-4.el5
=
python26-babel >= 0.8
python26-markupsafe  

python26-jinja2-2.5.5-4.el5.src.rpm
=
python26-devel  
python26-distribute  
python26-markupsafe  

Looks good to me.

SHOULD Items:

- Should build in mock.
It does.
- Should build on all supported archs
It's no arch.
- Should function as described.
Test suite runs.
- Should have sane scriptlets.
None needed.
- Should have dist tag
It does.
- Should package latest version
2.5.5 is latests.

Issues:

NONE 

Straightforward python package - approved.

Thanks for the package.

Comment 2 Thomas Moschny 2011-02-15 15:35:57 UTC
Thanks for the review!

New Package SCM Request
=======================
Package Name: python26-jinja2
Short Description: General purpose template engine
Owners: thm
Branches: el5
InitialCC:

This is an EPEL5 only package.

Comment 3 Jason Tibbitts 2011-02-15 19:24:32 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2011-02-15 21:39:16 UTC
python26-jinja2-2.5.5-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python26-jinja2-2.5.5-4.el5

Comment 5 Fedora Update System 2011-02-16 17:24:51 UTC
python26-jinja2-2.5.5-4.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python26-jinja2'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/python26-jinja2-2.5.5-4.el5

Comment 6 Fedora Update System 2011-03-03 00:54:05 UTC
python26-jinja2-2.5.5-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.